Bug 706979 - config file permissions are world readable
Summary: config file permissions are world readable
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cronie
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Marcela Mašláňová
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks: 782183 960054
TreeView+ depends on / blocked
 
Reported: 2011-05-23 16:48 UTC by Steve Grubb
Modified: 2018-12-03 17:17 UTC (History)
8 users (show)

(edit)
Cause: File permissions on configuration file weren't too strict.

Consequence: Every user can read many configuration files of cron.

Fix: File permissions were changed.

Result: Only root can read the configuration files.
Clone Of:
(edit)
Last Closed: 2013-11-21 22:22:57 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1681 normal SHIPPED_LIVE cronie bug fix and enhancement update 2013-11-20 21:52:35 UTC
Red Hat Knowledge Base (Solution) 42603 None None None 2012-09-27 11:24:14 UTC
Red Hat Bugzilla 864945 None None None Never

Internal Trackers: 864945

Description Steve Grubb 2011-05-23 16:48:37 UTC
Description of problem:
The DISA STIG calls out for cron config files to be 0600 or more restrictive:
http://people.redhat.com/sgrubb/files/stig-2011/stig-2011-checklist.html#item-SV-978r7_rule
Currently there are files that have 0644 permissions. We need to align the permissions to match the STIG so there is less to lockdown out of the box.

Comment 1 Marcela Mašláňová 2011-05-24 08:51:22 UTC
I can't be responsible for scripts in cron directories /etc/crond.*, because there are created by other applications or users. They are executable on purpose in some cases.

Also please note -p option, which is used for crontabs in /var/spool/cron directory. Crontabs there should be according to your policy.
<cite>
crontab files have to be regular files or symlinks to regular files, they must not be executable or writable for anyone else but the owner. This requirement  can  be overridden by using the -p option on the crond command line. If inotify support is in use, changes in the symlinked crontabs are not automatically noticed by the cron daemon.
</cite>

Config files can be changed to 600 if they have higher permission.

Comment 25 Steve Grubb 2013-09-29 17:20:36 UTC
There is a script here that can be used for testing:
http://people.redhat.com/sgrubb/files/stig-2011/stig-file-test.sh

Comment 28 errata-xmlrpc 2013-11-21 22:22:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1681.html


Note You need to log in before you can comment on or make changes to this bug.